<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= labelled_tabular_form_for content, :url => {:controller => '/' + content_type.pluralize, :action => 'update', :meeting_id => content.meeting}, :html => {:id => "#{content_type}_form", :method => :put} do |f| %>
  <%= error_messages_for content_type %>

  <% resource = ::API::V3::MeetingContents::MeetingContentRepresenter.new(content, current_user: current_user, embed_links: true) %>

  <div class="form--field -no-label -visible-overflow">
      <%=
        f.text_area(
            :text,
            class: 'wiki-edit wiki-toolbar',
            no_label: true,
            resource: resource,
            label_options: { class: 'hidden-for-sighted' },
            with_text_formatting: true
        )
      %>
  </div>
  <%= f.hidden_field :lock_version %>

  <p><%= f.text_field :journal_notes, label: :comments %></p>
  <%= styled_button_tag t(:button_save),
                        class: '-primary -with-icon icon-checkmark button--save-agenda',
                        data: { disable_with: I18n.t(:label_loading) } %>
  <%= link_to t(:button_cancel),
              "#",
              data: {
                action: 'meeting-content#cancelEditState'
              },
              class: 'button -with-icon icon-cancel button--cancel-agenda' %>
<% end %>
